import { FloatingRootStore as e } from "../components/FloatingRootStore.js";
import { PopupTriggerMap as n } from "../../utils/popups/popupTriggerMap.js";
function r() {
  return new e({
    open: !1,
    floatingElement: null,
    referenceElement: null,
    triggerElements: new n(),
    floatingId: "",
    nested: !1,
    noEmit: !1,
    onOpenChange: void 0
  });
}
export {
  r as getEmptyRootContext
};
